
Core - Feature # 32148

Task # 33745 (Resolved): Integrate File Abstraction Layer

Status: Rejected Priority: Must have
Author: Steffen Ritter Category: Backend API
Created: 2011-11-29 Assigned To: Steffen Ritter
Updated: 2012-04-20 Due date:
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: Integrate TCA Relation Service
Description

Currently you need to resolve relations between TCA-tables yourself our use t3lib_loadDBGroup.

The interface for usage of load-db-group is not object-oriented designed, very hard to use, needs external preparation and knowledge
about internals for usage.

To ease this up for developers add an "relation-service" for doing this in a more "object-orientated" way, with a single point of action.

In the first step this acts only as a wrapper for t3lib_loadDBgroup but in long term loaddbgroup should be migrated and reworked in a
clean way into the the relation-service.

History
#1 - 2011-11-29 07:53 - Mr. Jenkins
- Status changed from Accepted to Under Review

Patch set 1 of change I8d0cd3fa302683e952f600041dad66e8a4a237bc has been pushed to the review server.
It is available at http://review.typo3.org/6969

#2 - 2011-11-29 07:59 - Mr. Jenkins

Patch set 2 of change I8d0cd3fa302683e952f600041dad66e8a4a237bc has been pushed to the review server.
It is available at http://review.typo3.org/6969

#3 - 2011-11-29 12:58 - Mr. Jenkins

Patch set 3 of change I8d0cd3fa302683e952f600041dad66e8a4a237bc has been pushed to the review server.
It is available at http://review.typo3.org/6969

#4 - 2011-11-29 18:19 - Oliver Hader
- Target version changed from 4.7.0-alpha1 to 4.7.0-alpha2

#5 - 2011-12-07 01:02 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/6969
#6 - 2011-12-18 12:07 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/6969

#7 - 2011-12-18 16:00 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/6969

#8 - 2011-12-18 16:13 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/6969

#9 - 2011-12-19 22:40 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/6969

#10 - 2011-12-19 22:47 - Steffen Ritter

there is now a test Extension availabe, which ships unittests and static Data for all relation variants definable via TCA: 
http://forge.typo3.org/projects/extension-tce_tutorial

#11 - 2011-12-20 08:16 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/6969

#12 - 2011-12-20 22:50 - Oliver Hader
- Target version changed from 4.7.0-alpha2 to 4.7.0-alpha3

#13 - 2012-02-09 09:53 - Oliver Hader
- Subject changed from Add objective wrapper for ancient t3lib_loaddbgroup to Integrate TCA Relation Service
- Parent task set to #33745

#14 - 2012-02-09 11:18 - Oliver Hader

The current implementation of the relation service is bound to table:field and optionally a table or field or any relation to be looked up. I think this is very
complex for the basic scope of the service object. Thus, I'd like to suggest the following:

$service = new t3lib_tca_RelationService($table, $field);
$relation = $service->to($relatedTable, $relatedField);
$relatedRecods = $relation->getRecordsFor($record);
$relatedUids = $relation->getUidsFor($record);
So we have:

    -  t3lib_tca_RelationService
    -  t3lib_tca_Relation

#15 - 2012-02-12 16:47 - Oliver Hader
- Status changed from Under Review to On Hold

In favor of a simple functionality, this is on hold and not a requirement for the file abstraction layer...

#16 - 2012-02-13 09:42 - Steffen Ritter
- Target version changed from 4.7.0-alpha3 to 4.7.0-beta1

#17 - 2012-02-19 12:02 - Steffen Ritter
- Target version deleted (4.7.0-beta1)

#18 - 2012-04-20 18:05 - Oliver Hader
- Status changed from On Hold to Rejected

Dropped...
